#1593 closed enhancement (wontfix)

RTEMS Sequenced Initialization API

Reported by: zhangwenjie Owned by: Joel Sherrill
Priority: normal Milestone: 6.1
Component: score Version: 4.11
Severity: normal Keywords:
Cc: chrisj@…, sebastian.huber@…, 157724595@… Blocked By:
Blocking:

Description (last modified by Sebastian Huber)

This is a part of GSOC2010 project RTEMS Sequenced Initialization. The attachment is the implement of RTEMS Sequenced Initialization API. More details
are placed on the wiki http://www.rtems.com/wiki/index.php/RTEMSSequencedInitialization.

Attachments (16)

sequenced_initilization_api.patch (8.2 KB) - added by zhangwenjie on Jun 28, 2010 at 4:19:41 PM.
the implement of rtems sequenced initilization api
sequenced_initilization_api_and_test.patch (18.9 KB) - added by zhangwenjie on Jul 4, 2010 at 10:46:45 AM.
Add a test case for sequenced initialization api update the api code
sequence_api_test.patch (21.4 KB) - added by zhangwenjie on Jul 6, 2010 at 1:37:23 PM.
modify the patch of sequence sysinit api and test case code
rtems_sysinit_size_compare.patch (38.7 KB) - added by zhangwenjie on Jul 18, 2010 at 3:20:49 PM.
The patch of updating RTEMS initialise managers API wiht sysinit api
rtems_sysinit_size_compare_PR2.patch (24.6 KB) - added by zhangwenjie on Jul 21, 2010 at 2:49:00 PM.
The patch of updating RTEMS initialise managers API wiht sysinit api(new)
sis_bsp.patch (639 bytes) - added by zhangwenjie on Jul 21, 2010 at 2:52:13 PM.
patch for SIS bsp changers
rtems_sysinit_size_compare_new.patch (23.2 KB) - added by zhangwenjie on Jul 23, 2010 at 2:52:26 PM.
The patch of updating RTEMS initialise managers API wiht sysinit api
sis_bsp_v1.patch (585 bytes) - added by zhangwenjie on Jul 23, 2010 at 2:57:22 PM.
patch for SIS bsp changers
sysinit_api.patch (11.4 KB) - added by zhangwenjie on Jul 27, 2010 at 2:10:56 PM.
the implement of rtems sysinit api
sysinit_testcase.patch (14.6 KB) - added by zhangwenjie on Jul 27, 2010 at 2:12:09 PM.
The test case for sysinit API
sysinit_update_managers.patch (23.2 KB) - added by zhangwenjie on Jul 27, 2010 at 2:13:37 PM.
Update RTEMS initialization managers with sysinit API
sysinit_testcase_v1.patch (13.6 KB) - added by zhangwenjie on Jul 27, 2010 at 2:17:05 PM.
The test case for sysinit API
sysinit_BSP.patch (585 bytes) - added by zhangwenjie on Aug 9, 2010 at 3:39:10 PM.
patch for SIS bsp changers
sysinit_api_v1.patch (11.5 KB) - added by zhangwenjie on Aug 9, 2010 at 3:40:09 PM.
the implement of rtems sysinit api
sysinit_update_managers_v1.patch (23.2 KB) - added by zhangwenjie on Aug 9, 2010 at 3:40:42 PM.
Update RTEMS initialization managers with sysinit API
sysinit_testcase_v2.patch (13.6 KB) - added by zhangwenjie on Aug 9, 2010 at 3:41:21 PM.
The test case for sysinit API

Download all attachments as: .zip

Change History (33)

Changed on Jun 28, 2010 at 4:19:41 PM by zhangwenjie

the implement of rtems sequenced initilization api

Changed on Jul 4, 2010 at 10:46:45 AM by zhangwenjie

Add a test case for sequenced initialization api update the api code

Changed on Jul 6, 2010 at 1:37:23 PM by zhangwenjie

Attachment: sequence_api_test.patch added

modify the patch of sequence sysinit api and test case code

Changed on Jul 18, 2010 at 3:20:49 PM by zhangwenjie

The patch of updating RTEMS initialise managers API wiht sysinit api

Changed on Jul 21, 2010 at 2:49:00 PM by zhangwenjie

The patch of updating RTEMS initialise managers API wiht sysinit api(new)

Changed on Jul 21, 2010 at 2:52:13 PM by zhangwenjie

Attachment: sis_bsp.patch added

patch for SIS bsp changers

Changed on Jul 23, 2010 at 2:52:26 PM by zhangwenjie

The patch of updating RTEMS initialise managers API wiht sysinit api

comment:1 Changed on Jul 23, 2010 at 2:52:26 PM by zhangwenjie

attachments.isobsolete: 01, 1, 1

Changed on Jul 23, 2010 at 2:57:22 PM by zhangwenjie

Attachment: sis_bsp_v1.patch added

patch for SIS bsp changers

comment:2 Changed on Jul 23, 2010 at 2:57:22 PM by zhangwenjie

attachments.isobsolete: 01

Changed on Jul 27, 2010 at 2:10:56 PM by zhangwenjie

Attachment: sysinit_api.patch added

the implement of rtems sysinit api

comment:3 Changed on Jul 27, 2010 at 2:10:56 PM by zhangwenjie

attachments.isobsolete: 01

Changed on Jul 27, 2010 at 2:12:09 PM by zhangwenjie

Attachment: sysinit_testcase.patch added

The test case for sysinit API

comment:4 Changed on Jul 27, 2010 at 2:12:09 PM by zhangwenjie

attachments.isobsolete: 01

Changed on Jul 27, 2010 at 2:13:37 PM by zhangwenjie

Update RTEMS initialization managers with sysinit API

comment:5 Changed on Jul 27, 2010 at 2:13:37 PM by zhangwenjie

attachments.isobsolete: 01

Changed on Jul 27, 2010 at 2:17:05 PM by zhangwenjie

Attachment: sysinit_testcase_v1.patch added

The test case for sysinit API

comment:6 Changed on Jul 27, 2010 at 2:17:05 PM by zhangwenjie

attachments.isobsolete: 01

Changed on Aug 9, 2010 at 3:39:10 PM by zhangwenjie

Attachment: sysinit_BSP.patch added

patch for SIS bsp changers

comment:7 Changed on Aug 9, 2010 at 3:39:10 PM by zhangwenjie

attachments.isobsolete: 01

Changed on Aug 9, 2010 at 3:40:09 PM by zhangwenjie

Attachment: sysinit_api_v1.patch added

the implement of rtems sysinit api

comment:8 Changed on Aug 9, 2010 at 3:40:09 PM by zhangwenjie

attachments.isobsolete: 01

Changed on Aug 9, 2010 at 3:40:42 PM by zhangwenjie

Update RTEMS initialization managers with sysinit API

comment:9 Changed on Aug 9, 2010 at 3:40:42 PM by zhangwenjie

attachments.isobsolete: 01

Changed on Aug 9, 2010 at 3:41:21 PM by zhangwenjie

Attachment: sysinit_testcase_v2.patch added

The test case for sysinit API

comment:10 Changed on Aug 9, 2010 at 3:41:21 PM by zhangwenjie

attachments.isobsolete: 01

comment:11 Changed on Aug 11, 2010 at 1:43:31 PM by Sebastian Huber

It is possible to include files within the SECTIONS scope in linker command files. We can use this to reduce the amount of copy & paste inside the linker command files. Example:

.rodata : {

*(.rodata .rodata.* .gnu.linkonce.r.*)
INCLUDE linkcmds_score_rodata

}

We can use this also for the "Special FreeBSD sysctl sections".

comment:12 Changed on Nov 23, 2014 at 4:48:07 PM by Joel Sherrill

Description: modified (diff)
Type: defectenhancement

comment:13 Changed on Nov 24, 2014 at 6:58:28 PM by Gedare Bloom

Version: HEAD4.11

Replace Version=HEAD with Version=4.11 for the tickets with Milestone >= 4.11

comment:14 Changed on Nov 27, 2014 at 1:06:45 PM by Sebastian Huber

Milestone: 4.115.0

comment:15 Changed on Dec 15, 2014 at 2:52:41 PM by Sebastian Huber

Description: modified (diff)
Milestone: 4.115.0

comment:16 Changed on Sep 2, 2015 at 12:52:44 PM by Sebastian Huber

Resolution: wontfix
Status: newclosed

Obsoleted by #2408.

comment:17 Changed on Nov 9, 2017 at 6:26:42 AM by Sebastian Huber

Milestone: 5.06.1

Milestone renamed

Note: See TracTickets for help on using tickets.